.contact {
  margin-top: 32px;
  margin-bottom: 32px;
  height: 540px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 72px;
  background-color: #f5f5f5;
}

.contact h2 {
  color: rgb(53, 53, 53);
}

.contact li a {
  color: var(--color-primary);
}

.contact li {
  list-style-type: none;
}

.contact-headline {
  margin-top: 32px;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  margin-bottom: 32px;
}

.contact-headline p {
  margin-top: 32px;
}

.contact-map {
  position: relative;
}

.contact-map img {
  width: 100%;
  height: 400px;
  object-fit: contain;
}

.contact-map span {
  position: absolute;
  bottom: 10%;
  right: 10%;
  font-size: 14px;
}

.contact-cta {
  margin-top: 44px;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 8px;
}

.contact-cta img {
  height: 24px;
}

.contact-cta:hover {
  cursor: pointer;
  color: var(--color-primary);
}

.contact-map-mobile {
  display: none;
  position: relative;
  width: 100%;
  height: 240px;
}

.contact-map-mobile img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.contact-map-mobile span {
  position: absolute;
  bottom: 10%;
  right: 10%;
  font-size: 14px;
}

/* ===========================
   Responsives Design (Breakpoints)
   Range: 320px – 1920px
=========================== */

/* Extra Large Devices (1200px – 1599px) */
@media (min-width: 1200px) and (max-width: 1599px) {
  .contact-map img {
    height: 330px;
  }
}

/* Large Devices (992px – 1199px) */
@media (min-width: 992px) and (max-width: 1199px) {
  .contact-map img {
    height: 280px;
  }
}

/* Medium Devices (768px – 991px) */
@media (max-width: 991px) {
  .contact-map img {
    height: auto;
  }

  .contact {
    flex-direction: column;
    margin-top: 36px;
    height: auto;
    gap: 24px;
    margin-bottom: 32px;
  }

  .contact-info {
    padding-left: 24px;
    padding-right: 24px;
  }

  .contact-cta {
    margin-bottom: 32px;
  }
}

/* Small Devices (576px – 767px) */
@media (max-width: 767px) {
}

@media (max-width: 675px) {
}

/* Extra Small Smartphones (320px – 575px) */
@media (max-width: 400px) {
  .contact-headline {
    margin-top: 0;
  }
}
